
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_in_ware_order")]
    public class WcsInWareOrder
    {

        [Key]
        [Column("objid")]
        public long objid { get; set; }

        /// <summary>
        /// 任务id
        /// </summary>
        [Column("taskid")]
        public long? taskid { get; set; }

        /// <summary>
        /// 物料id
        /// </summary>
        [Column("material_id")]
        public long? materialId { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        [Column("material_code")]
        public string materialCode { get; set; }

        /// <summary>
        /// 物料类型
        /// </summary>
        [Column("material_type")]
        public string materialType { get; set; }

        /// <summary>
        /// 所属楼层
        /// </summary>
        [Column("floor_no")]
        public int? floorNo { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Column("qty")]
        public int? qty { get; set; }

        /// <summary>
        /// 库位编码
        /// </summary>
        [Column("location_code")]
        public string locationCode { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("use_flag")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备用字段1
        /// </summary>
        [Column("ud1")]
        public string ud1 { get; set; }

        /// <summary>
        /// 备用字段2
        /// </summary>
        [Column("ud2")]
        public string ud2 { get; set; }

        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("ud3")]
        public string ud3 { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }
    }
}

